# OgreDynLib.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Defines

#define | DYNLIB_HANDLE void*
#define | DYNLIB_LOAD(a) dlopen( a, RTLD_LAZY | RTLD_GLOBAL)
#define | DYNLIB_GETSYM(a, b) dlsym( a, b )
#define | DYNLIB_UNLOAD(a) dlclose( a )

## Define Documentation

#define DYNLIB_GETSYM | ( | a,
|  | b |  | ) | dlsym( a, b )

| Definition at line 46 of file OgreDynLib.h.

#define DYNLIB_HANDLE void*

| Definition at line 44 of file OgreDynLib.h.

#define DYNLIB_LOAD | ( | a |  | ) | dlopen( a, RTLD_LAZY | RTLD_GLOBAL)

| Definition at line 45 of file OgreDynLib.h.

#define DYNLIB_UNLOAD | ( | a |  | ) | dlclose( a )

| Definition at line 47 of file OgreDynLib.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Aug 20 13:50:48 2007